# $Id: ladspa.spec,v 1.2 2002/10/25 13:48:29 dude Exp $

Summary: Linux Audio Developer's Simple Plug-in API.
Name: ladspa 
Version: 1.11
Release: fr1
Group: System Environment/Libraries
License: LGPL
URL: http://www.ladspa.org/
Source: http://www.ladspa.org/download/%{name}_sdk.tgz
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: perl

%description
There is a large number of synthesis packages in use or development on
the Linux platform at this time. The Linux Audio Developer's Simple
Plugin API (LADSPA) attempts to give programmers the ability to write
simple `plugin' audio processors in C/C++ and link them dynamically
against a range of host applications.

This package contains the example plug-ins and tools from the LADSPA SDK.


%package devel
Summary: Linux Audio Developer's Simple Plug-in API development files.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Definitive technical documentation on LADSPA plug-ins for both the host
and plug-in is contained within copious comments within the ladspa.h
header file.


%prep
%setup -q -n %{name}_sdk
cd doc
# Fix links to the header file in the docs
perl -pi -e \
	"s!HREF=\"ladspa.h.txt\"!href=\"file:///%{_includedir}/ladspa.h\"!" \
	*.html

%build
cd src
make targets

%install
rm -rf %{buildroot}

cd src
mkdir -p %{buildroot}{%{_bindir},%{_includedir},%{_libdir}/ladspa}
make install \
	INSTALL_BINARY_DIR=%{buildroot}%{_bindir} \
	INSTALL_INCLUDE_DIR=%{buildroot}%{_includedir} \
	INSTALL_PLUGINS_DIR=%{buildroot}%{_libdir}/ladspa

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc doc/COPYING
%{_bindir}/*
%{_libdir}/ladspa

%files devel
%defattr(-, root, root)
%doc doc/*.html
%{_includedir}/ladspa.h

%changelog
* Fri Oct 25 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup.

* Mon Jun 17 2002 Thomas Vander Stichele <thomas@apestaart.org>
- some fixes
- release 2

* Tue Jun 04 2002 Thomas Vander Stichele <thomas@apestaart.org>
- adapted from Mandrake spec for GStreamer packaging

* Thu Mar 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.11-1mdk
- initial package

